List upgrade options
curl --request GET \
--url https://{domain}/api/application/services/{service}/upgrade-options \
--header 'Authorization: Bearer <token>'import requests
url = "https://{domain}/api/application/services/{service}/upgrade-options"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{domain}/api/application/services/{service}/upgrade-options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/application/services/{service}/upgrade-options",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/application/services/{service}/upgrade-options"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{domain}/api/application/services/{service}/upgrade-options")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/application/services/{service}/upgrade-options")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 20,
"name": "Minecraft Advanced",
"description": "<ul style=\"margin-top:16px; line-height:2; list-style:none; padding:0;\">\n <li>✅ <strong>8 GB RAM</strong></li>\n <li>✅ <strong>16 GB NVMe storage</strong></li>\n <li>✅ backups & DDoS protection</li>\n <li>✅ One click plugin & mod installer</li>\n <li>✅ 24/7 support</li>\n</ul>",
"image": "products/gGPRQ6sy9Gzr0JDaUz2aaA8OIE6Tmp1sKsXNoprX.png",
"icon_image": null,
"price": 25,
"upgrade_cost": 24,
"cost_breakdown": {
"current_price": 1,
"new_price": 25,
"upgrade_fee": 0,
"prorated_current": 1,
"prorated_new": 25,
"difference": 24,
"days_remaining": 19.999996,
"actual_days_remaining": 19.999996,
"total_days": 30,
"prorate": false
}
}
],
"meta": {
"request_id": "5dd15885-a15c-4098-9b2b-1a3149c2aa83"
}
}Upgrades
List upgrade options
Products the service can be upgraded to with the prorated cost. Empty when upgrades are disabled, the service is not active, is overdue or its module does not support plan changes.
Permission: services.upgrades.read
GET
/
services
/
{service}
/
upgrade-options
List upgrade options
curl --request GET \
--url https://{domain}/api/application/services/{service}/upgrade-options \
--header 'Authorization: Bearer <token>'import requests
url = "https://{domain}/api/application/services/{service}/upgrade-options"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{domain}/api/application/services/{service}/upgrade-options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/application/services/{service}/upgrade-options",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/application/services/{service}/upgrade-options"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{domain}/api/application/services/{service}/upgrade-options")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/application/services/{service}/upgrade-options")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 20,
"name": "Minecraft Advanced",
"description": "<ul style=\"margin-top:16px; line-height:2; list-style:none; padding:0;\">\n <li>✅ <strong>8 GB RAM</strong></li>\n <li>✅ <strong>16 GB NVMe storage</strong></li>\n <li>✅ backups & DDoS protection</li>\n <li>✅ One click plugin & mod installer</li>\n <li>✅ 24/7 support</li>\n</ul>",
"image": "products/gGPRQ6sy9Gzr0JDaUz2aaA8OIE6Tmp1sKsXNoprX.png",
"icon_image": null,
"price": 25,
"upgrade_cost": 24,
"cost_breakdown": {
"current_price": 1,
"new_price": 25,
"upgrade_fee": 0,
"prorated_current": 1,
"prorated_new": 25,
"difference": 24,
"days_remaining": 19.999996,
"actual_days_remaining": 19.999996,
"total_days": 30,
"prorate": false
}
}
],
"meta": {
"request_id": "5dd15885-a15c-4098-9b2b-1a3149c2aa83"
}
}Authorizations
Was this page helpful?

